Update milestone
curl --request PATCH \
--url https://app.forecastable.com/api/v1/plans/{planId}/milestones/{milestoneId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"milestone": {},
"objective": {},
"targetDate": "2023-12-25",
"actualDate": "2023-12-25",
"prospectOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"subscriberOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sortIndex": 123
}
'import requests
url = "https://app.forecastable.com/api/v1/plans/{planId}/milestones/{milestoneId}"
payload = {
"milestone": {},
"objective": {},
"targetDate": "2023-12-25",
"actualDate": "2023-12-25",
"prospectOwnerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"subscriberOwnerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sortIndex": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
milestone: {},
objective: {},
targetDate: '2023-12-25',
actualDate: '2023-12-25',
prospectOwnerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
subscriberOwnerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sortIndex: 123
})
};
fetch('https://app.forecastable.com/api/v1/plans/{planId}/milestones/{milestoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"milestone": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"milestone": {},
"sortIndex": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"objective": {},
"targetDate": "2023-12-25",
"actualDate": "2023-12-25",
"prospectOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"subscriberOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"completed": true,
"createdAt": "2023-11-07T05:31:56Z",
"milestoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"targetDate": "2023-12-25",
"assignedToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"goals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"milestoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"target": 123,
"actualValue": 123,
"label": "<string>",
"progress": 123,
"goalTypeCategory": "<string>",
"targetDate": "2023-12-25",
"periodLabel": "<string>",
"allocations": {},
"parentGoalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childGoals": "<array>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Milestones
Update milestone
Update a milestone. Send only the fields you want to change.
PATCH
/
plans
/
{planId}
/
milestones
/
{milestoneId}
Update milestone
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Milestone name as a Quill delta { "ops": [{ "insert": "Name" }] }, or agent-friendly { "title": "Name" } (converted server-side).
Milestone objective as a Quill delta, or { "title": "..." } (converted server-side).
Available options:
not_started, in_progress, completed Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Updated milestone.
Show child attributes
Show child attributes
Was this page helpful?
⌘I